Hvordan at oprette ISO fra DVD i Ubuntu

Opret iso fra dvd

Oprette ISO fra DVD i for at gøre en sikkerhedskopi af de originale film eller indholdet af DVD, you can either use Brasero eller K3B eller et brugerdefineret script findes på denne side. Andre alternativer er DVD95, K9Copy.

Det er også muligt at kombinere brugen af dvdbackup Hvem kan gøre en sikkerhedskopi af filerne og strukturen af en DVD video oven på den skrap drive med mkisofs der kan producere funktionelle iso billed af disse filer.

I denne tutorial, Vi ’ ll se på konvertering DVD ISO i Ubuntu med forskellige værktøjer tilgængelige.

Forudsætninger

At udføre denne handling, du ’ ll har brug for følgende;

  • Administrative rettigheder
  • En fungerende internetforbindelse
  • Efter at have installeret pakker anbefales på denne side automatisk dekryptere beskyttet DVD.

 

1. Create ISO from DVD Using Brasero DVD Burner

Brasero er allerede installeret som standard på Ubuntu, Det er en simpel men kraftfulde værktøj til at brænde CD og DVD i din Ubuntu PC.
Oprette ISO fra DVD:

  1. Sæt dvd'en i drevet,
  2. Åben Brasero,
  3. Vælg Kopiere DVD ,
  4. Indstilling: Vælg en disk at brændeBilledfil ,
  5. Hvis udvidelsen af den “billede” filen er ikke .iso, Klik på den “Egenskaber” knap og i vinduet optagelse, ændre den “type af disk billed ‘Billede ISO9660 .
  6. Ok, konverteringen starter ….

2. Create ISO from DVD Using K3B

Det er meget let oprette en ISO-billede fra nogen kommercielle DVD med programmet K3B , allerede installeret som standard i Kubuntu , Ubuntu og andre variant af Ubuntu .

Hvordan til at brænde en DVD med K3B:

  1. Lancere K3B,
  2. Gå til Værktøjer , derefter Kopiere medierne og
  3. Vælg Opret kun ét billede .
  4. Så gå til fanen billede at vælge den mappe, hvor billedfilen bliver skrevet.

3. Create ISO from DVD Using dvd2ISO

Her er et script, der giver mulighed for et klik med musen, efter glider en video-DVD i drevet, at ende op med en funktionel ISO billede af DVD til harddisken.
Installere pakker dvdbackup, mkisofs .
Oprette filen dvd2iso.sh kopierer det nedenfor i en tekstfil hos administrativ begunstiger i / usr / bin / :

#! / bin / sh 
############################################ ######################### 
# dvd2iso.sh 
# 
# giver mulighed for et klik med musen, efter glider en DVD 
# Video i kørsel , ender med en ISO funktionelle # DVD til harddisken. 
# ... 
# Afhængighed: 
# - dvdbackup 
# - mkisofs 
# 
# Forfatterne: 
# - djoole 
# - Ole Lukøje 
# - mr_djez til prik  
# 
# Historie: 
# 09/12/2010 ( 0.3) Mr.djez 
# - formatering 
# - tilføje kommentar 
# - flere småpenge (variabel, udtryk, betingelse);) 
# - ændringer til beregning af gennemførelsestid 
# - test tilstedeværelse afhængigheder 
# - adding the 'uDF' mkisofs 
# - test plads 
# 19/12/2008 (0.2) Ole Lukøje 
# - tilføjer den midlertidige mappe 
# - tidsberegning 
# 11/01/2007 (0.1) djoole 
# - skriftlig indledende 
################################################# ####################
 
# VERSION = 0.3
 
# Start Time 
DATE_START = $ ( Date + % s )
 
### Variable (to change depending on your config) 
# Device DVD 
dvd_dev = / dev / sr0
 # Temporary directory used by the script 
# /! \ Will be created and deleted every time 
rep_app = / tmp / dvd2iso- $ DATE_START 
# storage directory iso 
rep_iso = / media / Doc
 
# Test dependencies 
list = "dvdbackup mkisofs"  
for i in  $ liste ; do 
	qui  $ Jeg  >  / dev / null
	 if  [  $?  -eq  1  ] ; Then 
		printf  "% s not found \ n install the package \" % s \ "  \ n apt-get install% s \ n "  $ Jeg  $ Jeg  $ i  
		exit  1 
	fi 
done
 
printf  " \ n Copy DVD to ..................% s \ n "  $ rep_app 
# Create directory 
test  !  -d  $ rep_app  &&  mkdir  $ rep_app 
# we run the backup dvd if sufficient space 
# space> size dvd 
if  [ $ ( df  $ rep_app  |  awk  '/ ^ \ / dev / {print $ 4} ' )  -gt $ ( df  $ dvd_dev  |  awk  ' / ^ \ / dev / {print $ 3} ' )  ] ; Derefter 
	# Backup dvd 
	dvdbackup -M  -i  " $ dvd_dev "  -o  " $ rep_app "  &&  echo OK ||  echo FAIL
 else 
	printf  "FAIL \ n FATAL \: Insufficient free space on% s \ n "  $ rep_app .
fi
 
# Backup file name 
dvdtitle = $ ( ls  $ rep_app )
 
printf  "Converting DVD ISO files ....................." 
# we start creating the iso if enough free space 
# space> size of the backup 
if  [ $ ( df  $ rep_iso  |  awk  '/ ^ \ / dev / {print $ 4}' )  -gt $ ( den  $ rep_app / $ dvdtitle  |  tail  -1  |  awk  '{print $ 1}' )  ] ; Derefter 
	# Create iso 
	mkisofs -DVD-video  -udf  -quiet  -o  " $ rep_iso / $ dvdtitle .iso"  " $ rep_app / $ dvdtitle /"  &&  echo OK ||  echo FAIL
 else 
	printf  "FAIL \ n FATAL \: Insufficient free space on% s \ n "  $ rep_iso 
fi
 
printf  "Delete temporary files ..................." 
# Rydder backup filer rm -fr  " $ rep_app "  &&  echo OK ||  ECHO FAIL
 
# Ende tid date_stop = $ ( Date + % s )
 
# Beregningen periode duree_total_sec = $ ( udtryk  $ date_stop - $ DATE_START ) 
duree_min = $ ( udtryk  $ duree_total_sec  /  60 ) 
duree_sec = $ ( udtryk  $ duree_total_sec  %  60 )
 
Rapport # 
printf  " \ n === === operationen endte! \ N  \
 Varighed:% d % d min sek \ n  \
 Fil, der oprettes: s.ISO% i % s \ n \ n "  $ duree_min  $ duree_sec  $ dvdtitle  $ rep_iso exit  0

Gøre filen eksekverbare .
Det ’ ll bare køre det gennem kommandoen til at angive en terminal :

dvd2iso.sh

At bruge dette script med en GUI, installere højdepunkt og oprette en løfteraket ringer DVD2ISO script (beliggende i / usr / bin / og lavet eksekverbare) med følgende kode:

dvd2iso | zenity --text-info --title "DVD2ISO" --bredde - højde = 400 = 300

3 variabler er “potentielt” indstille manuelt der passer til dit system:

  • dvd_dev = absolut sti til enheden dvd
  • rep_iso = absolut sti eller bliver gemt billeder-DVD.iso
  • rep_app = absolut sti af spool directory bruges af script

4. Alternativ metode

Hvis ingen af de ovennævnte metoder arbejde, Det er muligt at kopiere optagede brutto disk indhold.

  1. Første Åbn DVD med VLC at indstille tasterne dekryptering “libdvdcss2” i hukommelsen.
  2. Luk VLC .
  3. Med fil explorer , Kopier hele DVD video indholdet til en mappe på din harddisk.

Du vil læse senere med VLC ved at gå til menuen Medier → åben fil , derefter navigere til din video filer.

Med ovenstående metoder, du har opdaget, hvordan at brænde en DVD ISO i Ubuntu. Denne metode virker også perfekt med brændende CD ISO i Ubuntu.

Der er andre metoder, der ikke er opført her og der er så mange andre værktøjer, der kan bruges til at brænde, Rip og kopier disk i Ubuntu. Ikke begrænse dig til indstillinger deroppe, selv om de er de mest populære og er alle blevet testet til at være meget effektiv.

Du kan også lide

Om forfatteren: admin

Efterlad et svar

Din e-mail adresse vil ikke blive offentliggjort. Obligatoriske felter er markeret *